import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.Console;
import java.io.DataOutputStream;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLEncoder;
import java.util.Arrays;
import java.util.Collection;
import java.util.Random;

//用户请使用UTF-8作为源码文件的保存格式，避免出现乱码问题
public class APIStore {
	/**
	 * HTTP的Post请求方式
	 * @param strUrl 访问地址
	 * @param param 参数字符串
	 * */
	public String requestPost(String strUrl, String param) {
		String returnStr = null; // 返回结果定义
		URL url = null;
		HttpURLConnection httpURLConnection = null;

		try {
			url = new URL(strUrl);
			httpURLConnection = (HttpURLConnection) url.openConnection();
			httpURLConnection.setRequestProperty("Accept-Charset", "utf-8");
			httpURLConnection.setRequestProperty("Content-Type", "application/x-www-form-urlencoded");
			httpURLConnection.setDoOutput(true);
			httpURLConnection.setDoInput(true);
			httpURLConnection.setRequestMethod("POST"); // post方式
			httpURLConnection.connect();
			//System.out.println("ResponseCode:" + httpURLConnection.getResponseCode());
			//POST方法时使用
			byte[] byteParam = param.getBytes("UTF-8");
			DataOutputStream out = new DataOutputStream(httpURLConnection.getOutputStream());
			out.write(byteParam);
			out.flush();
			out.close();
			BufferedReader reader = new BufferedReader(
					new InputStreamReader(httpURLConnection.getInputStream(), "utf-8"));
			StringBuffer buffer = new StringBuffer();
			String line = "";
			while ((line = reader.readLine()) != null) {
				buffer.append(line);
			}

			reader.close();
			returnStr = buffer.toString();
		} catch (Exception e) {
			e.printStackTrace();
			return null;
		} finally {
			if (httpURLConnection != null) {
				httpURLConnection.disconnect();
			}
		}
		return returnStr;
	}

	/**
	 * 获取内容
	 */
	public void getContent() {
		 string url="https://v.apistore.cn/api/a1";
                 string param="key=您申请的key&cardNo=5110111&realName=张三&information=";

		String returnStr = null;
		returnStr = this.requestPost(url, param);
		System.out.println(returnStr);
	}

}
